Subject: Ideas on removing a compiler warning in 'init_task.c' ...

From: "Steven J. Hill" <[email-masked]>
Date: Fri, 17 Dec 2004 18:21:01 -0600

I am trying to clean up a few compiler warnings. Here is one remaining
one:

   CC      arch/mips/kernel/init_task.o
   arch/mips/kernel/init_task.c:15: warning: initialization makes integer from 
pointer without a cast

which has to do with this line:

   static struct sighand_struct init_sighand = INIT_SIGHAND(init_sighand);

I actually broke out the macro and it is complaining about the initialization
of 'action' member in the 'sighand_struct' defined in 'include/linux/sched.h'.

   struct sighand_struct {
           atomic_t                count;
           struct k_sigaction      action[_NSIG];
           spinlock_t              siglock;
   };

I do not see this when compiling x86 code and the MIPS structure is
not that drastically different IMHO. Anyone have some ideas on this
one?

-Steve

---

From: Ralf Baechle <[email-masked]>
Date: Tue, 21 Dec 2004 01:25:06 +0100

> not that drastically different IMHO. Anyone have some ideas on this

The members of struct sigaction are ordered differently on MIPS.

  Ralf